libname eureka 'c:\sagarwa\my documents\personal\eurekadata';
libname homeequity 'c:\sagawal\my documents\personal\homeequitydata';
libname creditcard 'c:\sagarwal\my documents\personal\creditcarddata';
libname mortgage 'c:\sagarwal\my documents\personal\mortgagedata';
libname fee 'c:\sagarwal\my documents\personal\feedata';
libname auto 'c:\sagarwal\my documents\personal\autodata';
libname smallbusiness 'c:\sagarwal\my documents\personal\smallbusinessdata';

*Eureka Analysis;
data eureka;
set eureka.eurekadata;
run;
proc means data=eureka;

proc reg data=eureka;
model eureka=
bage20 bage30 bage40 bage50 bage60 bage70
s_highschool highschool Ass_Degree Bach_Degree Grad_Degree
lfico lcreditlimit lincome;
run;

*Home Equity Analysis;
data line;
set homeequity.homeequitydata;
if line=1;
run;
data loan;
set homeequity.homeequitydata;
if line=0;
run;
proc means data=line;
proc means data=loan;
proc reg data=line;
model apr=
bage20 bage30 bage40 bage50 bage60 bage70
self_employ retired homemaker second_home condo_home
purpose_improvement purpose_refinancing
lyoj lincome 
no_fst_mort
lcap_loan_amt lhomeval lfico dti lmaadd ltv2 ltv3
state_CT state_ME state_NH state_NJ
state_NY state_PA state_RI;
run;
proc reg data=loan;
model apr=
bage20 bage30 bage40 bage50 bage60 bage70
self_employ retired homemaker second_home condo_home
purpose_improvement purpose_refinancing
lyoj lincome 
no_fst_mort
lcap_loan_amt lhomeval lfico dti lmaadd ltv2 ltv3
state_CT state_ME state_NH state_NJ
state_NY state_PA state_RI;
run;
data loan2;
set loan;
if rcm=0;
run;
data line2;
set line;
if rcm=0;
run;
proc reg data=line2;
model apr=
bage20 bage30 bage40 bage50 bage60 bage70
self_employ retired homemaker second_home condo_home
purpose_improvement purpose_refinancing
lyoj lincome 
no_fst_mort
lcap_loan_amt lhomeval lfico dti lmaadd ltv2 ltv3
state_CT state_ME state_NH state_NJ
state_NY state_PA state_RI;
run;
proc reg data=loan2;
model apr=
bage20 bage30 bage40 bage50 bage60 bage70
self_employ retired homemaker second_home condo_home
purpose_improvement purpose_refinancing
lyoj lincome 
no_fst_mort
lcap_loan_amt lhomeval lfico dti lmaadd ltv2 ltv3
state_CT state_ME state_NH state_NJ
state_NY state_PA state_RI;
run;
*Rate Changing Mistake;
proc reg data=line;
model rcm=
bage20 bage30 bage40 bage50 bage60 bage70
self_employ retired homemaker second_home condo_home
purpose_improvement purpose_refinancing
lyoj lincome 
no_fst_mort
lcap_loan_amt lhomeval lfico dti lmaadd ltv2 ltv3
state_CT state_ME state_NH state_NJ
state_NY state_PA state_RI;
run;
proc reg data=loan;
model rcm=
bage20 bage30 bage40 bage50 bage60 bage70
self_employ retired homemaker second_home condo_home
purpose_improvement purpose_refinancing
lyoj lincome 
no_fst_mort
lcap_loan_amt lhomeval lfico dti lmaadd ltv2 ltv3
state_CT state_ME state_NH state_NJ
state_NY state_PA state_RI;
run;

proc logistic descending data=line;
model bad=
bage20 bage30 bage40 bage50 bage60 bage70
self_employ retired homemaker second_home condo_home
purpose_improvement purpose_refinancing
lyoj lincome 
no_fst_mort
lcap_loan_amt lhomeval lfico dti lmaadd ltv2 ltv3
state_CT state_ME state_NH state_NJ
state_NY state_PA state_RI;
run;
proc logistic descending data=loan;
model bad=
bage20 bage30 bage40 bage50 bage60 bage70
self_employ retired homemaker second_home condo_home
purpose_improvement purpose_refinancing
lyoj lincome 
no_fst_mort
lcap_loan_amt lhomeval lfico dti lmaadd ltv2 ltv3
state_CT state_ME state_NH state_NJ
state_NY state_PA state_RI;
run;

*CC Analysis;
data cc;
set creditcard.creditcarddata;
run;
proc means data=cc;

proc reg data=cc;
model apr=
bage20 bage30 bage40 bage50 bage60 bage70
lfico lincome tot_cards he_bal mort_bal;
run;
proc logistic descending data=cc;
model bad=
bage20 bage30 bage40 bage50 bage60 bage70
lfico lincome tot_cards he_bal mort_bal;
run;


*Auto Analysis;
data auto;
set auto.autodata;
run;
proc means data=auto;

proc reg data=auto;
model apr=
bage20 bage30 bage40 bage50 bage60 bage70
lfico lincome dti japnesecar europeancar loanage carage 
dct dfl dme dnh dnj dny dpa dri
q199d q299d q399d q499d q100d q200d q300d q400d;
run;

proc logistic descending data=auto;
model bad=
bage20 bage30 bage40 bage50 bage60 bage70
lfico lincome dti japnesecar europeancar loanage carage 
dct dfl dme dnh dnj dny dpa dri
q199d q299d q399d q499d q100d q200d q300d q400d;
run;

*Mortgage Analysis;
data mort;
set mortgage.mortgagedata;
run;
proc means data=mort;

proc reg data=mort;
model apr=
bage20 bage30 bage40 bage50 bage60 bage70
lincome lriskscore dti loanterm loanterm2 loanamt ltv yearsjob secondhome 
auto autoval gender married twoincome 
marriedtwoincome prof emp merchant relate;
run;

proc logistic descending data=mort;
model bad=
bage20 bage30 bage40 bage50 bage60 bage70
lincome lriskscore dti loanterm loanterm2 loanamt ltv yearsjob secondhome 
auto autoval gender married twoincome 
marriedtwoincome prof emp merchant relate;
run;

*Small Business Analysis;
data sb;
set smallbusiness.smallbusinessdata;
run;
proc means data=sb;

proc reg data=sb;
model apr=
bage20 bage30 bage40 bage50 bage60 bage70
yib1 yib2 yib3 yib4 yib5 lfico numofcards ltotcardbal ltotcardlimit;
run;

proc logistic descending data=sb;
model bad=
bage20 bage30 bage40 bage50 bage60 bage70
yib1 yib2 yib3 yib4 yib5 lfico numofcards ltotcardbal ltotcardlimit;
run;

*Fee Analysis;
data fee;
set fee.feedata;
run;

proc means data=fee;
proc glm data=fee; 
model latefeedummy =
bage20 bage30 bage40 bage50 bage60 bage70
billexist billactivity lpurchase lbscore lfico debttolimit;
absorb pid timedummy;
run;
proc glm data=fee; 
model overlimitdummy =
bage20 bage30 bage40 bage50 bage60 bage70
billexist billactivity lpurchase lbscore lfico debttolimit;
absorb pid timedummy;
run;
proc glm data=fee; 
model cashadvdummy =
bage20 bage30 bage40 bage50 bage60 bage70
billexist billactivity lpurchase lbscore lfico debttolimit;
absorb pid timedummy;
run;
